org.apache.struts2.portlet.result

## Interface PortletResultHelper

- All Known Implementing Classes:
    PortletResultHelperJSR168, PortletResultHelperJSR286

      public interface PortletResultHelper

  PortletResultHelper abstracts Portlet API result functions specific to the used API spec version.
  Author:
    Rene Gielen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `include(javax.portlet.PortletRequestDispatcher dispatcher, String contentType, javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)` Call a dispatcher's include method, abstracted from the used Portlet API version.
    `void` | `setPortletMode(javax.portlet.PortletResponse response, javax.portlet.PortletMode portletMode)` Set a portlet mode, abstracted from the used Portlet API version
    `void` | `setRenderParameter(javax.portlet.PortletResponse response, String key, String value)` Set a render parameter, abstracted from the used Portlet API version

- - ### Method Detail

    - #### setRenderParameter

          void setRenderParameter(javax.portlet.PortletResponse response,
                                  String key,
                                  String value)

      Set a render parameter, abstracted from the used Portlet API version
      Parameters:
        `response` - The response to set the parameter on.
        `key` - The parameter key to set.
        `value` - The parameter value to set.

    - #### setPortletMode

          void setPortletMode(javax.portlet.PortletResponse response,
                              javax.portlet.PortletMode portletMode)
                       throws javax.portlet.PortletModeException

      Set a portlet mode, abstracted from the used Portlet API version
      Parameters:
        `response` - The response to set the portlet mode on.
        `portletMode` - The portlet mode to set.
      Throws:
        `javax.portlet.PortletModeException` - in case of errors during setting of portlet mode

    - #### include

          void include(javax.portlet.PortletRequestDispatcher dispatcher,
                       String contentType,
                       javax.portlet.PortletRequest request,
                       javax.portlet.PortletResponse response)
                throws IOException,
                       javax.portlet.PortletException

      Call a dispatcher's include method, abstracted from the used Portlet API version.
      Parameters:
        `dispatcher` - The dispatcher to call the include method on.
        `contentType` - The content type to set for the response.
        `request` - The request to use for including
        `response` - The response to use for including
      Throws:
        `IOException` - in case of any I/O errors
        `javax.portlet.PortletException` - in case of any portlet errors

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.